<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
switch($mode) {
///Удаление файла
case 'del':
$sql = $db -> query("SELECT * FROM `obmen_files` WHERE `id` = '".$id."' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
if ($aut == true and $id != false and $ya['level']>=4 or $ya['id']==$ass['user']) {
if (!isset($_GET['true'])) {
$diz -> head('Удаление файла');
$diz -> title('Удаление файла');
$msg .= 'Вы действительно хотите удалить данный скрипт?</br>
<a href="./func.php?mode=del&amp;id='.$id.'&amp;true">Да</a> | <a href="./view/'.$id.'/">Нет</a></br>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
    $diz -> head('Удаление файла');
$diz -> title('<b>Удаление файла</b>');
	$sql =$db -> query("SELECT * FROM `obmen_files` WHERE `id`='".$id."'");
$row = $sql->fetch_assoc();
		$explode = explode('./', $row['infolder']);
		
		$chmod = '';
		foreach($explode as $chm) {
			$chmod .= $chm;
			if (is_dir('./'.$chmod)) {
				$chmod = $chmod.'/';
			}
			chmod('./'.$chmod, 0777);
		}
        
		if ($db -> query("DELETE FROM `obmen_files` WHERE `id`='".$id."'") && unlink('./'.$row['infolder'])) {
		  $db -> query("DELETE FROM `comes` WHERE `where`='obmen' and `idwh`='".$id."'");
			header('Refresh: 2, url=./index.php');
			$msg .= '<div class="menu">Файл успешно удален!</div>';
		} else {
			$msg .= '<div class="error">Ошибка при удалении скрипта!</div>';
		}#####Копирайт#######
require_once (ROOT.'system/kopy.php');
         	$diz -> out($msg);
}                       
} else header('location: ./index.php');
} else header('location: ./index.php');
break;
///Изменение файла
case 'redf':
$count = $db -> dbcount('COUNT(`id`)','obmen_files','`id`='.$id.'');
$for = $db -> query("SELECT * FROM `obmen_files` where `id`='$id'")-> fetch_assoc();
if($count>0 and $ya['level']>=4 or $for['user']==$ya['id']){
if (empty($_POST['name']) || empty($_POST['text'])) {
$diz -> head('Изменение файла');
$diz -> title('Изменение файла');
$msg .= 'Название:<form action="func.php?id='.$id.'&amp;mode=redf" method="post"><div>
<textarea name="name" rows="2" cols="28">'.$for['name'].'</textarea><br/>
Описание:<br/>
<textarea name="text" rows="3" cols="26">'.$func -> br($for['info']).'</textarea><br/>
<input type="submit" value="Изменить"/>
</div></form><br/>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./view/'.$id.'/">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else {
$diz -> head('Изменение файла');
$diz -> title('Изменение файла');
$name = shit($_POST['name']);
$text = shit($_POST['text']);
$db -> query("Update `obmen_files` SET  `name`='$name',`info`='$text' where `id`='$id'");
$msg .= 'Файл <b>'.$name.'</b> успешно изменён!';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./view/'.$id.'/">Назад</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
}
}else header('location: index.php');
break;
//переадресация в случае пустой функции
default:
header('location: index.php');
}
?>